VkLayerProperties Struct Reference

`#include <vulkan.h>`

## Data Fields

char | layerName [VK_MAX_EXTENSION_NAME_SIZE]
uint32_t | specVersion
uint32_t | implementationVersion
char | description [VK_MAX_DESCRIPTION_SIZE]

## Detailed Description

Definition at line 1687 of file vulkan.h.

## Field Documentation

## description

char VkLayerProperties::description[VK_MAX_DESCRIPTION_SIZE]

Definition at line 1691 of file vulkan.h.

## implementationVersion

uint32_t VkLayerProperties::implementationVersion

Definition at line 1690 of file vulkan.h.

## layerName

char VkLayerProperties::layerName[VK_MAX_EXTENSION_NAME_SIZE]

Definition at line 1688 of file vulkan.h.

## specVersion

uint32_t VkLayerProperties::specVersion

Definition at line 1689 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h